# Generated from spree_disable_cart-3.0.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name spree_disable_cart

Name: rubygem-%{gem_name}
Version: 3.0.2
Release: 1%{?dist}
Summary: Manage cart and price listing from Spree site, and enable or disable the cart and price listing from within the Admin panel
License: MIT
URL: https://github.com/brajpratap17/spree_disable_cart
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0.0
# BuildRequires: rubygem(capybara) >= 2.4
# BuildRequires: rubygem(capybara) < 3
# BuildRequires: rubygem(coffee-rails)
# BuildRequires: rubygem(database_cleaner)
# BuildRequires: rubygem(factory_girl) >= 4.5
# BuildRequires: rubygem(factory_girl) < 5
# BuildRequires: rubygem(ffaker)
# BuildRequires: rubygem(rspec-rails) >= 3.1
# BuildRequires: rubygem(rspec-rails) < 4
# BuildRequires: rubygem(sass-rails) >= 5.0.0.beta1
# BuildRequires: rubygem(sass-rails) < 5.1
# BuildRequires: rubygem(selenium-webdriver)
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(sqlite3)
BuildArch: noarch

%description
Spree extension to enable or disable cart.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}

%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Wed Apr 20 2022 mockbuilder - 3.0.2-1
- Initial package
